
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>controller.connector module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-controller.connector">
<span id="controller-connector-module"></span><h1>controller.connector module<a class="headerlink" href="#module-controller.connector" title="Permalink to this headline">¶</a></h1>
<p>Connector management API.</p>
<p>Connector module to manage connections with the resources like Redshift and S3. It is assumed that
passwords have been encrypted before hand using the API mentioned below. As there is a decoder
algorithm written which decodes the password by default.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><a class="reference internal" href="controller.project.html#module-controller.project" title="controller.project"><code class="xref py py-func docutils literal notranslate"><span class="pre">project()</span></code></a> To manage projects</p>
<p><a class="reference internal" href="controller.operations.html#controller.operations.encrypt" title="controller.operations.encrypt"><code class="xref py py-func docutils literal notranslate"><span class="pre">encrypt()</span></code></a> Encryption API to encode string.</p>
</div>
<p class="rubric">Notes</p>
<p>Encryption used by the system is Fernet cryptography.</p>
<dl class="function">
<dt id="controller.connector.index">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">index</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.index" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch all the connectors in the system.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>which has connection details for various resources like S3 and Redshift</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>JSON</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;connectors&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;connection&quot;: {</span>
<span class="go">        &quot;ACCESS_KEY&quot;: &quot;AKIAIFUJCZNX2KD7HUEA&quot;,</span>
<span class="go">        &quot;SECRET_KEY&quot;: &quot;gAAAAABdHHncWSm6FFhLqyCuqTC02Pj87rQfoVWKFPs4K4McEubZrKpenDWZY7_CNU34noXbTuQmv&quot;</span>
<span class="go">      },</span>
<span class="go">      &quot;connection_type&quot;: &quot;s3&quot;,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;na&quot;,</span>
<span class="go">      &quot;id&quot;: 1,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;s3_default&quot;,</span>
<span class="go">      &quot;project_id&quot;: 1</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;connection&quot;: {</span>
<span class="go">        &quot;DBNAME&quot;: &quot;dev&quot;,</span>
<span class="go">        &quot;HOST&quot;: &quot;redshift-dmax-cluster.cdeae2w1wefr.us-west-2.redshift.amazonaws.com&quot;,</span>
<span class="go">        &quot;PASSWORD&quot;: &quot;gAAAAABdHHplGqRHXu0rWq2vt2ylSW451fjJOlvg==&quot;,</span>
<span class="go">        &quot;PORT&quot;: &quot;5439&quot;,</span>
<span class="go">        &quot;USERNAME&quot;: &quot;awsuser&quot;</span>
<span class="go">      },</span>
<span class="go">      &quot;connection_type&quot;: &quot;rs&quot;,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;redshift&quot;,</span>
<span class="go">      &quot;id&quot;: 3,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;novartis_redshift&quot;,</span>
<span class="go">      &quot;project_id&quot;: 7</span>
<span class="go">    }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.connector.search">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">search</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.search" title="Permalink to this definition">¶</a></dt>
<dd><p>Search the connector from the system on specific parameters.</p>
<p>Search can be performed on the following parameters - name and project id.
All the search results are reported for <strong>Active</strong> state only. In case, you need a connector to be
searched in <strong>Inactive</strong> state, a parameter has to be specified <strong>False</strong> in the request.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – [Optional] if not provided it is excluded from search param.</p></li>
<li><p><strong>project_id</strong> (<em>int</em>) – [Optional] if not provided it is excluded from search param.</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] Default is set to True.</p></li>
</ul>
</dd>
</dl>
<p class="rubric">Examples</p>
<p>Search using resource name.</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/search?name=s3&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;connectors&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;connection&quot;: {</span>
<span class="go">        &quot;ACCESS_KEY&quot;: &quot;AKIAIFUJCZNX2KD7HUEA&quot;,</span>
<span class="go">        &quot;SECRET_KEY&quot;: &quot;gAAAAABdHHncWSm6FFhLqyCuqoDiwzPrilPoL7bEXbTuQmv&quot;</span>
<span class="go">      },</span>
<span class="go">      &quot;connection_type&quot;: &quot;s3&quot;,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;na&quot;,</span>
<span class="go">      &quot;id&quot;: 1,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;s3_default&quot;,</span>
<span class="go">      &quot;project_id&quot;: 1</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;connection&quot;: {</span>
<span class="go">        &quot;ACCESS_KEY&quot;: &quot;AKIAXS4NAOWSOWAB64GD&quot;,</span>
<span class="go">        &quot;SECRET_KEY&quot;: &quot;gAAAAABdLYMp5VsApg1CRlgYMhqOBg60at5cv_J4ZRz_Uc4k1bQjnAelWO3PAvgJlfcbcaS32B&quot;</span>
<span class="go">      },</span>
<span class="go">      &quot;connection_type&quot;: &quot;s3&quot;,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;creation_date&quot;: null,</span>
<span class="go">      &quot;description&quot;: &quot;novartis s3&quot;,</span>
<span class="go">      &quot;id&quot;: 5,</span>
<span class="go">      &quot;is_active&quot;: true,</span>
<span class="go">      &quot;modification_date&quot;: null,</span>
<span class="go">      &quot;modified_by&quot;: null,</span>
<span class="go">      &quot;name&quot;: &quot;novartis s3&quot;,</span>
<span class="go">      &quot;project_id&quot;: 7</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.connector.add">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">add</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.add" title="Permalink to this definition">¶</a></dt>
<dd><p>Add connector to the system.</p>
<p>S3 connection string has the following JSON structure:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="s2">&quot;ACCESS_KEY&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;SECRET_KEY&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">}</span>
</pre></div>
</div>
<p>Redshift connection has the following JSON structure:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="s2">&quot;DBNAME&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;HOST&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;PASSWORD&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;PORT&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;USERNAME&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">}</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – user specific name of the resource</p></li>
<li><p><strong>description</strong> (<em>str</em>) – describe the resource, why and what it has.</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – [Optional] when connection is added it is assumed to be active.</p></li>
<li><p><strong>project_id</strong> (<em>int</em>) – Project against which the resource is allocated</p></li>
<li><p><strong>connection_type</strong> (<em>str</em>) – rs|s3</p></li>
<li><p><strong>connection</strong> (<em>dict</em>) – JSON structure described above.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON which has message - connector added successfully.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/add?name=rs_default&amp;description=na&amp;project_id=1&#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&amp;connection_type=rs&amp;connection={&quot;DBNAME&quot;: &quot;dev&quot;, &quot;HOST&quot;: &#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&quot;redshift-dmax-cluster.cdeae2w1wefr.us-west-2.redshift.amazonaws.com&quot;, &#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&quot;PASSWORD&quot;:&quot;gAAAAABdLDcQtpmjXkUpxKeogtOlduH6NAmAEJAY_&quot;,&quot;PORT&quot;: &quot;5439&quot;,&quot;USERNAME&quot;: &quot;awsuser&quot;}&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;connector added successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.connector.update">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">update</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.update" title="Permalink to this definition">¶</a></dt>
<dd><p>Update the connector by providing the connector id.</p>
<p>Whenever a form is edited, it will submit all the fields again to the API along with the connector id
which is used to update connection settings.
S3 connection string has the following JSON structure:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="s2">&quot;ACCESS_KEY&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;SECRET_KEY&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">}</span>
</pre></div>
</div>
<p>Redshift connection has the following JSON structure:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">{</span><span class="s2">&quot;DBNAME&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;HOST&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;PASSWORD&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;PORT&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">,</span> <span class="s2">&quot;USERNAME&quot;</span><span class="p">:</span> <span class="s2">&quot;&quot;</span><span class="p">}</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> (<em>str</em>) – user specific name of the resource</p></li>
<li><p><strong>description</strong> (<em>str</em>) – describe the resource, why and what it has.</p></li>
<li><p><strong>is_active</strong> (<em>bool</em>) – status of the connection</p></li>
<li><p><strong>project_id</strong> (<em>int</em>) – Project against which the resource is allocated</p></li>
<li><p><strong>connection_type</strong> (<em>str</em>) – rs|s3</p></li>
<li><p><strong>connection</strong> (<em>dict</em>) – JSON structure described above.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON which has the received parameters.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/update?name=rs_default&amp;description=na&amp;project_id=1&#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&amp;id=8&amp;connection_type=rs&amp;connection={&quot;DBNAME&quot;: &quot;dev&quot;, &quot;HOST&quot;: &#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&quot;redshift-dmax-cluster.cdeae2w1wefr.us-west-2.redshift.amazonaws.com&quot;, &#39;</span>
<span class="gp">... </span>             <span class="s1">&#39;&quot;PASSWORD&quot;:&quot;gAAAAABdLDcQtpmjXkUpxKeogtOlduH6NAmAEJAY_&quot;,&quot;PORT&quot;: &quot;5439&quot;,&quot;USERNAME&quot;: &quot;awsuser&quot;}&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;connector&quot;: {</span>
<span class="go">    &quot;connection&quot;: {</span>
<span class="go">      &quot;DBNAME&quot;: &quot;dev&quot;,</span>
<span class="go">      &quot;HOST&quot;: &quot;redshift-dmax-cluster.cdeae2w1wefr.us-west-2.redshift.amazonaws.com&quot;,</span>
<span class="go">      &quot;PASSWORD&quot;: &quot;gAAAAABdLDcQtpmjXkUpxKeogtOlduH6NAmAEJAY_5jaKcJJdcNMi-xUr1Q9rZIJk_r4bdGq88ZlR57omtYwAOYiazudzZzhFA==&quot;,</span>
<span class="go">      &quot;PORT&quot;: &quot;5439&quot;,</span>
<span class="go">      &quot;USERNAME&quot;: &quot;awsuser&quot;</span>
<span class="go">    },</span>
<span class="go">    &quot;connection_type&quot;: &quot;rs&quot;,</span>
<span class="go">    &quot;created_by&quot;: null,</span>
<span class="go">    &quot;creation_date&quot;: null,</span>
<span class="go">    &quot;description&quot;: &quot;na&quot;,</span>
<span class="go">    &quot;id&quot;: 2,</span>
<span class="go">    &quot;is_active&quot;: true,</span>
<span class="go">    &quot;modification_date&quot;: null,</span>
<span class="go">    &quot;modified_by&quot;: null,</span>
<span class="go">    &quot;name&quot;: &quot;rs_default&quot;,</span>
<span class="go">    &quot;project_id&quot;: 1</span>
<span class="go">  }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.connector.get">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">get</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch a specific connector from the system.</p>
<p>For a given connector id, the API will return the record in the form of JSON. In case, the connector id
is not found, it will return an empty JSON with key <cite>connector</cite>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – Connector id to be fetched from the system</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON which has the connector definition in it.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/get?id=2&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;connector&quot;: {</span>
<span class="go">    &quot;connection&quot;: {</span>
<span class="go">      &quot;DBNAME&quot;: &quot;dev&quot;,</span>
<span class="go">      &quot;HOST&quot;: &quot;redshift-dmax-cluster.cdeae2w1wefr.us-west-2.redshift.amazonaws.com&quot;,</span>
<span class="go">      &quot;PASSWORD&quot;: &quot;gAAAAABdLDcQtpmjXkUpxKeogtOlduH6NAmAEJAY_5jaKcJJdcNMi-xUr1Q9rZIJk_r4bdGq88ZlR57omtYwAOYiazudzZzhFA==&quot;,</span>
<span class="go">      &quot;PORT&quot;: &quot;5439&quot;,</span>
<span class="go">      &quot;USERNAME&quot;: &quot;awsuser&quot;</span>
<span class="go">    },</span>
<span class="go">    &quot;connection_type&quot;: &quot;rs&quot;,</span>
<span class="go">    &quot;created_by&quot;: null,</span>
<span class="go">    &quot;creation_date&quot;: null,</span>
<span class="go">    &quot;description&quot;: &quot;na&quot;,</span>
<span class="go">    &quot;id&quot;: 2,</span>
<span class="go">    &quot;is_active&quot;: true,</span>
<span class="go">    &quot;modification_date&quot;: null,</span>
<span class="go">    &quot;modified_by&quot;: null,</span>
<span class="go">    &quot;name&quot;: &quot;rs_default&quot;,</span>
<span class="go">    &quot;project_id&quot;: 1</span>
<span class="go">  }</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.connector.delete">
<code class="sig-prename descclassname">controller.connector.</code><code class="sig-name descname">delete</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.connector.delete" title="Permalink to this definition">¶</a></dt>
<dd><p>Delete the connector from the system.</p>
<p>In case the connector is found for the given input ID, the system will take the action. Otherwise, it
will return a JSON message stated that <cite>something went wrong</cite>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> (<em>int</em>) – Connector id to be deleted from the system</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>JSON which has the message - deleted successfully.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>dict</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/connector/delete?id=2&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">    &quot;message&quot;: &quot;deleted successfully&quot;</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/controller.connector.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>